// "Lato" font-family
@import url('https://fonts.googleapis.com/css?family=Lato:300,300i,400,700,900');

// Common Tokens (variables)
$t-accent-font: Lato;
$t-accent-font-with-fallback: $t-accent-font, "Source Sans Pro", sans-serif;

// Mixins to isolate font weights
@mixin accent-font-light {
  font-family: $t-accent-font-with-fallback;
  font-weight: 300;
}

@mixin accent-font-regular {
  font-family: $t-accent-font-with-fallback;
  font-weight: 400;
}

@mixin accent-font-bold {
  font-family: $t-accent-font-with-fallback;
  font-weight: 700;
}

@mixin accent-font-black {
  font-family: $t-accent-font-with-fallback;
  font-weight: 900;
}

@mixin font-weight-light {
  font-weight: 300;
}

@mixin font-weight-regular {
  font-weight: 400;
}

@mixin font-weight-semibold {
  font-weight: 600;
}

@mixin font-weight-bold {
  font-weight: 700;
}

.jumbo-heading {
  @include accent-font-light;
  font-size: 45px;

  @media (min-width: $screen-md-min) {
    font-size: 55px;
  }
}

.main-heading {
  @include accent-font-light;
  margin-bottom: $spacing-unit-xs;
  font-size: 34px;

  @media (min-width: $screen-md-min) {
    font-size: 36px;
  }
}

.section-heading {
  @include font-weight-regular;
  margin-top: 10px;
  font-size: 30px;
  color: $color-primary;
}

.sub-heading {
  @include accent-font-regular;
  font-size: 26px;

  @media (min-width: $screen-md-min) {
    font-size: 32px;
  }
}

.promo-text {
  font-size: 20px;
  font-weight: 300;
}

.table th h4 {
  margin-top: 0;
}
